# MRZ class

MRZ part of the document

Inheritance
  - Object
  - GenericDocumentWrapper
  - MRZ

## Constructors

MRZ(GenericDocument document)

## Properties

birthDate ↔ TextFieldWrapper
  Birth date
  read / write
checkDigitBirthDate ↔ ValidatedTextFieldWrapper?
  Check digit birth date
  read / write
checkDigitDocumentNumber ↔ ValidatedTextFieldWrapper?
  Check digit document number
  read / write
checkDigitExpiryDate ↔ ValidatedTextFieldWrapper?
  Check digit expiry date
  read / write
checkDigitGeneral ↔ ValidatedTextFieldWrapper?
  Check digit general
  read / write
checkDigitPersonalNumber ↔ ValidatedTextFieldWrapper?
  Check digit personal number
  read / write
dateOfIssuance ↔ ValidatedTextFieldWrapper?
  Date of issuance
  read / write
document ↔ GenericDocument
  read / write inherited
documentNumber ↔ TextFieldWrapper?
  Document number
  read / write
documentType → DocumentType
  read-only override
documentTypeCode ↔ TextFieldWrapper?
  Document type code
  read / write
expiryDate ↔ ValidatedTextFieldWrapper?
  Expiry date
  read / write
gender ↔ TextFieldWrapper?
  Gender
  read / write
givenNames ↔ TextFieldWrapper
  Given names
  read / write
hashCode → int
  The hash code for this object.
  read-only inherited
issuingAuthority ↔ TextFieldWrapper?
  Issuing authority
  read / write
languageCode ↔ TextFieldWrapper?
  Language code
  read / write
nationality ↔ TextFieldWrapper
  Nationality
  read / write
officeOfIssuance ↔ ValidatedTextFieldWrapper?
  Office of issuance
  read / write
optional1 ↔ ValidatedTextFieldWrapper?
  Optional 1
  read / write
optional2 ↔ ValidatedTextFieldWrapper?
  Optional 2
  read / write
personalNumber ↔ ValidatedTextFieldWrapper?
  Personal number
  read / write
pinCode ↔ TextFieldWrapper?
  PIN code
  read / write
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited
surname ↔ TextFieldWrapper
  Surname
  read / write
travelDocType ↔ TextFieldWrapper?
  Travel document type
  read / write
travelDocTypeVariant ↔ TextFieldWrapper?
  Travel document type variant
  read / write
unknown ↔ TextFieldWrapper?
  Unknown
  read / write
versionNumber ↔ TextFieldWrapper?
  Version number
  read / write

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

DOCUMENT_NORMALIZED_TYPE → const String
  Normalized document type name of this document wrapper.
  `"MRZ"`
DOCUMENT_TYPE → const String
  Generic document type name of this document wrapper.
  `"MRZ"`